<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Darknet](./bitburner.darknet.md) &gt; [getStasisLinkedServers](./bitburner.darknet.getstasislinkedservers.md)

## Darknet.getStasisLinkedServers() method

Returns the hostnames/IPs of servers that have a stasis link applied.

**Signature:**

```typescript
getStasisLinkedServers(returnByIP?: boolean): string[];
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

returnByIP


</td><td>

boolean


</td><td>

_(Optional)_ Optional. If true, returns IPs instead of hostnames. Defaults to false.


</td></tr>
</tbody></table>

**Returns:**

string\[\]

Hostnames/IPs

## Remarks

RAM cost: 0 GB

